import type { Chain } from '../chains.js';
import type { Network } from '../networks.js';
import type { TokenSymbol, TokenKey, ChainTokens, Token } from './types.js';
export type { TokenKey, TokenSymbol, ChainTokens, Token, TokenConst, TokenExtraDetails } from './types.js';
export declare function getTokenMap<N extends Network, C extends Chain>(network: N, chain: C): ChainTokens | undefined;
export declare const isEqualCaseInsensitive: (a: string, b: string) => boolean;
export declare const filters: {
    byAddress: (tokenMap: ChainTokens, address: string) => Token | undefined;
    native: (tokenMap: ChainTokens) => Token | undefined;
    bySymbol: (tokenMap: ChainTokens, symbol: TokenSymbol) => Token[] | undefined;
    byKey: (tokenMap: ChainTokens, key: TokenKey) => Token | undefined;
};
export declare function getNative<N extends Network, C extends Chain>(network: N, chain: C): Token | undefined;
export declare function getTokenByAddress<N extends Network, C extends Chain>(network: N, chain: C, address: string): Token | undefined;
export declare function getTokensBySymbol<N extends Network, C extends Chain>(network: N, chain: C, symbol: TokenSymbol): Token[] | undefined;
export declare function getTokenByKey<N extends Network, C extends Chain>(network: N, chain: C, key: TokenKey): Token | undefined;
export declare function getCanonicalToken<N extends Network, C extends Chain>(network: N, chain: C, key: TokenKey): Token | undefined;
//# sourceMappingURL=index.d.ts.map